<?xml version="1.0" encoding="utf-8"?>
<openerp>
<data>
    <template id="report_receive_fromdc_report">
        <t t-call="report.html_container">
        	
        	<div class="page">
                <style  type="text/css">
                		body
                        {
                          font-family: 'Verdana';
                          font-size: 12px;
                          color:#333333;
                        }

                        td{
                            padding : 1px;
                            vertical-align: top;
                         }

                        table{
                            width: 95%;
                            margin-left: auto;
                            margin-right: auto;
                            font-size:12px;
                            font-family: 'Verdana';
                            page-break-inside:auto;
                        }

                        div   { page-break-inside:avoid; } /* This is the key */
                        thead { display:table-header-group }
                        tfoot { display:table-footer-group }
                        table.tbl_grid {
                            width: 100%;
                            border-collapse: collapse !important;
                            page-break-inside:auto;
                            font-family: 'Verdana';
                            font-size: 12px;

                        }
                        table.tbl_grid thead {
                            display:table-header-group;


                        }
                        table.tbl_grid thead th{
                            border-bottom: 1px solid #000 !important;
                            padding: 3px;
                            vertical-align: top;
                            text-align: center;
                        }
                        table.tbl_grid tr {
                            page-break-inside:avoid; page-break-after:auto
                        }
                        table.tbl_grid td {
                            border-bottom: 1px solid gray !important;
                            padding: 2px;
                            vertical-align: top;
                        }
                        table.tbl_grid tfoot tr{
                            border-top: 1px solid #000 !important;
                            border-bottom: 1px solid #000 !important;
                        }
                        table.tbl_grid tfoot td{
                            border-top: 1px solid #000 !important;
                            border-bottom: 1px solid #000 !important;
                        }
                        .text_left{
                            text-align: left;
                        }
                        .text_right{
                            text-align: right;
                        }
                        .text_center{
                            text-align: center;
                        }

                </style>

                <!-- start content -->
                <t t-foreach="get_detail_receive_fromdc(data)" t-as="o">
                 <center><h1>Bukti Terima Barang</h1></center>
        <!-- body and content -->
        <!-- title -->
        		<table>
        			<tr>

        				<td width="100%">
        					<span t-esc="to_upper(o.name) or '' "/> <br/>
        					<span t-esc="get_format_date(o.date_done or o.date) or '' "/><br/>
        					 <br/>
        					<br/>


        				</td>


        			</tr>
        		</table>

        <!-- ent title -->
        <!--grid -->
                    <t t-set="idx" t-value="0"/>
                    <t t-set="sum_qty" t-value="0"/>
        		<span> <span t-esc="get_product_brand(o) or '-' "/> </span>
                <br/>
        		<table class="tbl_grid">
        			<thead>
        				<tr>
        					<th>Code.</th>
        					<th>Product.</th>
        					<th>Qty</th>
        					<th>Satuan</th>

        				</tr>
        			</thead>
        			<tbody>
                    <t t-foreach="o.move_lines" t-as="l">
                        <t t-set="sum_qty" t-value="sum_qty+l.product_uom_qty"/>

        				<tr>
        					<td class="text_center" > <span t-esc="l.product_id and l.product_id.default_code or '-'" />  </td>
        					<td> <span t-esc="l.product_id and l.product_id.name_template or '-'" /> </td>
        					<td  class="text_right"> <span t-esc="format_integer(l.product_uom_qty)" /> </td>
        					<td>  <span t-esc="l.product_uom and l.product_uom.name or '-'" /> </td>


        				</tr>
                    </t>
        			</tbody>
        			<tfoot>
        				<tr>
        					<td class="text_center" colspan="2">TOTAL</td>
        					<td  class="text_right" >  <span t-esc="format_integer(sum_qty)" /> </td>
        					<td></td>

        				</tr>
        			</tfoot>
        		</table>
        <!-- end grid -->
                    <br/><br/>
        		<table>
        			<tr>
        				<td class="text_center" width="50%" >

        				</td>
        				<td class="text_center" width="50%">
        					Diterima Oleh,
        				</td>

        			</tr>

        			<tr>
        				<td >
        				</td>

        				<td >
        				</td>
        			</tr>
        		</table>
        <!-- end body and content -->
                </t>
        <!-- end content -->

            </div>  <!-- end div page all -->
        </t>
    </template>
</data>
</openerp>
